"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const promises_1 = __importDefault(require("fs/promises"));
const util_1 = require("util");
const vitest_1 = require("vitest");
const exec = (0, util_1.promisify)(child_process_1.exec);
(0, vitest_1.beforeEach)(async () => {
    await promises_1.default.rename("./prisma", "./prisma-old").catch(() => { });
});
(0, vitest_1.afterEach)(async () => {
    await promises_1.default
        .rm("./prisma", {
        force: true,
        recursive: true,
    })
        .catch(() => { });
    await promises_1.default.rename("./prisma-old", "./prisma").catch(() => { });
});
(0, vitest_1.test)("End to end test", async () => {
    await exec("yarn prisma init --datasource-provider sqlite");
    await promises_1.default.writeFile("./prisma/schema.prisma", `datasource db {
        provider = "sqlite"
        url      = "file:./dev.db"
    }

    generator kysely {
        provider  = "node ./dist/bin.js"
    }
    
    model TestUser {
        id          String @id
        name        String
        age         Int
        rating      Float
        updatedAt   DateTime
    }`);
    await exec("yarn prisma db push");
    await exec("yarn prisma generate");
}, { timeout: 20000 });
//# sourceMappingURL=e2e.test.js.map